<CsoundSynthesizer>
<CsOptions>
</CsOptions>
<CsInstruments>

sr = 44100
ksmps = 64
0dbfs = 1
nchnls = 2

opcode lauridsen, aa, ak
	ain, kdelay xin

	imaxdel = 30
	kdelay limit kdelay, 0.001, imaxdel
	adelay1 vdelay3 ain, kdelay, imaxdel
	aleft = -ain + adelay1
	aright = ain + adelay1
	
	xout aleft*0.5, aright*0.5
endop

instr 1  ; Inputs and control
	gainput inch 1
;	gainput diskin2 "file.wav", 1
	gkon_lauridsen invalue "on_lauridsen"
	gkdelay_lauridsen invalue "delay_lauridsen"
	gklevel_lauridsen invalue "level_lauridsen"
endin

instr 11 ; Lauridsen method
if gkon_lauridsen == 1 then
	aout1, aout2 lauridsen gainput, gkdelay_lauridsen
else
	aout1 = gainput
	aout2 = gainput
endif
outch 1, aout1*gklevel_lauridsen, 2, aout2*gklevel_lauridsen
endin

</CsInstruments>
<CsScore>
i 1 0 3600
i 11 0 3600
</CsScore>
</CsoundSynthesizer><bsbPanel>
 <label>Widgets</label>
 <objectName/>
 <x>846</x>
 <y>294</y>
 <width>399</width>
 <height>392</height>
 <visible>true</visible>
 <uuid/>
 <bgcolor mode="background">
  <r>170</r>
  <g>170</g>
  <b>127</b>
 </bgcolor>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>7</x>
  <y>6</y>
  <width>381</width>
  <height>124</height>
  <uuid>{4c919985-3409-41f4-8fbb-43e8dfb20801}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>-3</midicc>
  <label>Lauridsen method</label>
  <alignment>center</alignment>
  <font>DejaVu Sans</font>
  <fontsize>18</fontsize>
  <precision>3</precision>
  <color>
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </color>
  <bgcolor mode="background">
   <r>129</r>
   <g>149</g>
   <b>91</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>5</borderradius>
  <borderwidth>3</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>36</x>
  <y>86</y>
  <width>80</width>
  <height>25</height>
  <uuid>{d4fdb81c-b8c8-4f79-bb49-d0cec19e5607}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>-3</midicc>
  <label>Enable</label>
  <alignment>left</alignment>
  <font>Lucida Grande</font>
  <fontsize>12</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>noborder</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBCheckBox">
  <objectName>on_lauridsen</objectName>
  <x>18</x>
  <y>88</y>
  <width>20</width>
  <height>20</height>
  <uuid>{66b6c878-2a39-499a-b162-8761109dfc60}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>-3</midicc>
  <selected>true</selected>
  <label/>
  <pressedValue>1</pressedValue>
  <randomizable group="0">false</randomizable>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>194</x>
  <y>85</y>
  <width>80</width>
  <height>25</height>
  <uuid>{8c1b791e-f52f-4e26-ad46-b2efdb190286}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>-3</midicc>
  <label>ms</label>
  <alignment>left</alignment>
  <font>Lucida Grande</font>
  <fontsize>12</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>noborder</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>114</x>
  <y>45</y>
  <width>80</width>
  <height>25</height>
  <uuid>{248a562b-78f5-4645-ba0b-17cbbd43c077}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>-3</midicc>
  <label>Delay time</label>
  <alignment>left</alignment>
  <font>Lucida Grande</font>
  <fontsize>12</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>noborder</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBHSlider">
  <objectName>delay_lauridsen</objectName>
  <x>19</x>
  <y>64</y>
  <width>278</width>
  <height>23</height>
  <uuid>{14814ddc-76ed-4069-a177-c2c1ee4a0e12}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <minimum>0.10000000</minimum>
  <maximum>18.00000000</maximum>
  <value>2.16043165</value>
  <mode>lin</mode>
  <mouseControl act="jump">continuous</mouseControl>
  <resolution>-1.00000000</resolution>
  <randomizable group="0">true</randomizable>
 </bsbObject>
 <bsbObject version="2" type="BSBKnob">
  <objectName>level_lauridsen</objectName>
  <x>301</x>
  <y>23</y>
  <width>74</width>
  <height>72</height>
  <uuid>{9a962245-1ac4-41bc-ac0e-2b08a18b5224}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>-3</midicc>
  <minimum>0.00000000</minimum>
  <maximum>1.00000000</maximum>
  <value>0.97000000</value>
  <mode>lin</mode>
  <mouseControl act="jump">continuous</mouseControl>
  <resolution>0.01000000</resolution>
  <randomizable group="0">false</randomizable>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>298</x>
  <y>93</y>
  <width>80</width>
  <height>25</height>
  <uuid>{c207900d-6fa8-426d-bd4f-1217f25145e4}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>-3</midicc>
  <label>Level</label>
  <alignment>center</alignment>
  <font>DejaVu Sans</font>
  <fontsize>12</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>noborder</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBDisplay">
  <objectName>delay_lauridsen</objectName>
  <x>115</x>
  <y>85</y>
  <width>80</width>
  <height>30</height>
  <uuid>{6caa1418-616a-4041-93ae-fc464bfba6fb}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>-3</midicc>
  <label>2.160</label>
  <alignment>right</alignment>
  <font>DejaVu Sans</font>
  <fontsize>12</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>noborder</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBScope">
  <objectName/>
  <x>65</x>
  <y>137</y>
  <width>266</width>
  <height>231</height>
  <uuid>{8d6b99f9-50f3-4702-9486-967d22fc73a7}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <value>-255.00000000</value>
  <type>lissajou</type>
  <zoomx>1.00000000</zoomx>
  <zoomy>1.00000000</zoomy>
  <dispx>1.00000000</dispx>
  <dispy>1.00000000</dispy>
  <mode>0.00000000</mode>
 </bsbObject>
</bsbPanel>
<bsbPresets>
</bsbPresets>
<MacOptions>
Version: 3
Render: Real
Ask: Yes
Functions: ioObject
Listing: Window
WindowBounds: 72 179 400 200
CurrentView: io
IOViewEdit: On
Options:
</MacOptions>

<MacGUI>
ioView background {43690, 43690, 32639}
ioText {7, 6} {381, 124} label 0.000000 0.00100 "" center "DejaVu Sans" 18 {65280, 65280, 65280} {33024, 38144, 23296} nobackground noborder Lauridsen method
ioText {36, 86} {80, 25} label 0.000000 0.00100 "" left "Lucida Grande" 12 {0, 0, 0} {63232, 62720, 61952} nobackground noborder Enable
ioCheckbox {18, 88} {20, 20} on on_lauridsen
ioText {194, 85} {80, 25} label 0.000000 0.00100 "" left "Lucida Grande" 12 {0, 0, 0} {63232, 62720, 61952} nobackground noborder ms
ioText {114, 45} {80, 25} label 0.000000 0.00100 "" left "Lucida Grande" 12 {0, 0, 0} {63232, 62720, 61952} nobackground noborder Delay time
ioSlider {19, 64} {278, 23} 0.100000 18.000000 2.160432 delay_lauridsen
ioKnob {301, 23} {74, 72} 1.000000 0.000000 0.010000 0.970000 level_lauridsen
ioText {298, 93} {80, 25} label 0.000000 0.00100 "" center "DejaVu Sans" 12 {0, 0, 0} {63232, 62720, 61952} nobackground noborder Level
ioText {115, 85} {80, 30} display 2.160432 0.00100 "delay_lauridsen" right "DejaVu Sans" 12 {0, 0, 0} {63232, 62720, 61952} nobackground noborder 2.160
ioGraph {65, 137} {266, 231} lissajou 1.000000 -255 
</MacGUI>
